
(in-package sugar-qsp.js)

;;; Contains symbols from standard JS library to avoid obfuscating
;;; and/or namespacing them

(cl:defmacro syms (cl:&rest syms)
  `(cl:progn
     ,@(cl:loop :for sym :in syms
          :collect `(cl:export ',sym))))

(syms
 ;; main
 window
 *object assign
 now
 onload
 keys includes
 has-own-property
 ;; api
 document get-element-by-id get-elements-by-tag-name
 onclick onchange
 atob btoa split
 alert prompt
 set-timeout set-interval clear-interval
 *promise *j-s-o-n
 href parse match
 set-prototype-of
 body append-child remove-child
 add ; remove (is already in COMMON-LISP)
 create-element set-attribute class-list
 *file-reader read-as-text
 style display src
 page-x page-y
 top left
 ;; lib
 *number parse-int
 to-string to-upper-case concat
 click target current-target files index-of result
 decode-u-r-i-component splice
 )
